Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 922530 - app-text/dblatex-0.3.12-r2 installs deprecated .egg/.egg-info (MUSL-SYSTEM)
Summary: app-text/dblatex-0.3.12-r2 installs deprecated .egg/.egg-info (MUSL-SYSTEM)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Zoltan Puskas
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-20 11:50 UTC by Agostino Sarubbo
Modified: 2024-06-13 10:37 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,296.34 KB, text/plain)
2024-01-20 11:50 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-20 11:50:17 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-text/dblatex-0.3.12-r2 installs deprecated .egg/.egg-info (MUSL-SYSTEM).
Discovered on: amd64 (internal ref: tinderbox_musl)

NOTE:
(MUSL-SYSTEM) in the summary means that bug was found on a machine that runs MUSL libc but this bug MAY or MAY NOT BE related to musl.
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-20 11:50:19 UTC
Created attachment 882684 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-13 10:37:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35a1ef8369dfc368ed9ca408bcc117ae76a6e3a3

commit 35a1ef8369dfc368ed9ca408bcc117ae76a6e3a3
Author:     Zoltan Puskas <zoltan@sinustrom.info>
AuthorDate: 2024-06-10 05:51:42 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2024-06-13 10:36:49 +0000

    app-text/dblatex: Fix Python issues
    
    Migrate to PEP517 while also adding compatibility for 3.12
    
    Closes: https://bugs.gentoo.org/909897
    Closes: https://bugs.gentoo.org/929361
    Closes: https://bugs.gentoo.org/922530
    Signed-off-by: Zoltan Puskas <zoltan@sinustrom.info>
    Closes: https://github.com/gentoo/gentoo/pull/37102
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 app-text/dblatex/dblatex-0.3.12-r3.ebuild          |  95 +++++++++++++++++
 .../dblatex-0.3.12-adjust-submodule-imports.patch  |  62 +++++++++++
 .../dblatex-0.3.12-replace-imp-by-importlib.patch  | 113 +++++++++++++++++++++
 3 files changed, 270 insertions(+)